from uuid import uuid4

from fastapi import FastAPI
from livekit import api

from settings import settings

app = FastAPI()


# @asynccontextmanager
# async def lifespan(app: FastAPI): ...


@app.post("/token")
async def create_lk_token():
    room_name = f"room-test--{uuid4()}"

    token = (
        api.AccessToken(
            api_key=settings.livekit.api_key.get_secret_value(),
            api_secret=settings.livekit.api_secret.get_secret_value(),
        )
        .with_identity("test")
        .with_name(room_name)
        .with_grants(
            api.VideoGrants(
                room_join=True,
                room=room_name,
            )
        )
    )

    return {"participantToken": token.to_jwt(), "serverUrl": settings.livekit.url}
